# BuildListener

Extends

Interface for build listeners.

Classes that implement a listener must extend this class and (faux)implement all methods that are decleard as dummies below.

author | Andreas Aderhold andi@binarycloud.com
author | Hans Lellelid hans@xmpl.org
version | $Id: e0f8f926fe954fa2128283a0707dda812fcf1708 $
see |
see |
package | phing

### Methods

## Fired after the last target has finished.

    buildFinished(\BuildEvent $event)

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired before any targets are started.

    buildStarted(\BuildEvent $event)

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired whenever a message is logged.

    messageLogged(\BuildEvent $event)

see | \BuildEvent::getMessage()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a target has finished.

    targetFinished(\BuildEvent $event)

see | \\BuildEvent#getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a target is started.

    targetStarted(\BuildEvent $event)

see | \BuildEvent::getTarget()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task has finished.

    taskFinished(\BuildEvent $event)

see | \BuildEvent::getException()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task is started.

    taskStarted(\BuildEvent $event)

see | \BuildEvent::getTask()

### Arguments

#### $event

`\BuildEvent`

The BuildEvent